#include <Arduino.h>
#include <Servo.h>

Servo yaw;
Servo pitch;

double YAW_MAX = 7;
double PITCH_MAX = 7;

double zero_height;

double point_height(double TVC_angle) { return sin(TVC_angle) + zero_height; }

void setup() {
  yaw.attach(9);    // CHANGE MEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEE
  pitch.attach(10); // CHANGE MEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEE

  Serial.println("Level the TVC and press enter.");
  Serial.readString();

  // Do a full range of movement of the servos
  for (double pct = -100.0; pct <= 100.0; pct += 1.0) {
    double yaw_pos = pct * YAW_MAX;
    double pitch_pos = pct * PITCH_MAX;

    yaw.write(yaw_pos);
    pitch.write(pitch_pos);
    delay(15);
  }

  Serial.print("Please input the point height in millimeters: ");
  String zero_string = Serial.readString();
  zero_height = zero_string.toFloat();
}

void loop() {}